<div class="edit-group group-notification">

  <md-list>
    <md-list-item class="md-1-line">
      <div class="gd-content">
        <div class="gd-name">
          <h4>{{groupNotification.group.name}}</h4>
        </div>

        <div class="gd-edit">
          <button class="gd-edit-btn" ui-sref="app.groups.edit({id:groupNotification.group.id})"><i class="fa fa-pencil"></i></button>
        </div>
      </div>
      <md-divider></md-divider>
    </md-list-item>

    <md-list-item class="md-1-line">
      <div class="notification-tabs" ng-cloak>
        <md-content>
          <md-tabs md-dynamic-height md-border-bottom>
            <md-tab label="Members ({{groupNotification.group.users.length}})">
              <md-content class="md-padding">
                <!-- Member list -->
                <md-list>
                  <md-list-item class="md-1-line" ng-repeat="user in groupNotification.group.users | orderBy: 'id'">

                    <div class="member-list">
                      <div class="member-icon">
                        <i class="fa fa-user"></i>
                      </div>
                      <div class="member-name">
                        {{user.name || 'User Name'}}
                        <div class="user-email">
                          {{user.email}}
                        </div>
                      </div>
                      <div class="member-is-admin">
                        <span ng-if="user.role.name === 'owner'">{{GroupNotificationController.administrator}}</span>
                      </div>
                      <div class="member-link">
                        <button class="member-group-btn" ui-sref="app.users.edit({id:user.id})"><i class="fa fa-angle-right"></i></button>
                      </div>
                    </div>

                    <md-divider></md-divider>
                  </md-list-item>
                </md-list>

              </md-content>
            </md-tab>
            <md-tab label="Notifications">
              <md-content class="md-padding">
                <!-- Notificationn list -->
                <md-list>
                  <md-list-item class="md-1-line">
                    <div class="notif-name">
                      {{GroupNotificationController.push}}
                      <div class="notif-details">
                        {{GroupNotificationController.explanation_about_push_notification}}
                      </div>
                    </div>
                    <div class="notif-status">
                      <md-switch ng-model="groupNotification.group.push" aria-label="PUSH" ng-change="groupNotification.updateGroup()"></md-switch>
                    </div>

                    <md-divider></md-divider>
                  </md-list-item>

                  <md-list-item class="md-1-line">
                    <div class="notif-name">
                      {{GroupNotificationController.email}}
                      <div class="notif-details">
                        {{GroupNotificationController.explanation_about_email_notification}}
                      </div>
                    </div>
                    <div class="notif-status">
                      <md-switch ng-model="groupNotification.group.email" aria-label="Email" ng-change="groupNotification.updateGroup()"></md-switch>
                    </div>

                    <md-divider></md-divider>
                  </md-list-item>

                  <md-list-item class="md-1-line">
                    <div class="notif-name">
                      {{GroupNotificationController.SMS}}
                      <div class="notif-details">
                        {{GroupNotificationController.explanation_about_sms_notification}}
                      </div>
                    </div>
                    <div class="notif-status">
                      <md-switch ng-model="groupNotification.group.sms" aria-label="SMS" ng-change="groupNotification.updateGroup()"></md-switch>
                    </div>

                    <md-divider></md-divider>
                  </md-list-item>

                  <md-list-item class="md-1-line">
                    <div class="notif-name">
                      {{GroupNotificationController.ETC}}
                      <div class="notif-details">
                        {{GroupNotificationController.explanation_about_etc_notification}}
                      </div>
                    </div>
                    <div class="notif-status">
                      <md-switch ng-model="groupNotification.group.etc" aria-label="PUSH" ng-change="groupNotification.updateGroup()"></md-switch>
                    </div>

                    <md-divider></md-divider>
                  </md-list-item>
                </md-list>

              </md-content>
            </md-tab>
            <md-tab label="Permissions">
              <md-content class="md-padding">
                <!-- Permission List -->
                <md-list>
                  <md-list-item class="md-1-line">
                    <div class="notif-name">
                      {{GroupNotificationController.lockable}}
                      <div class="notif-details">
                      {{GroupNotificationController.explanation_about_lockable_notification}}
                      </div>
                    </div>
                    <div class="notif-status">
                      <md-switch ng-model="groupNotification.group.lockable" aria-label="Lockable" ng-change="groupNotification.updateGroup()"></md-switch>
                    </div>

                    <md-divider></md-divider>
                  </md-list-item>

                  <md-list-item class="md-1-line">
                    <div class="notif-name">
                      {{GroupNotificationController.administratable}}
                      <div class="notif-details">
                        {{GroupNotificationController.explanation_about_administratable}}
                      </div>
                    </div>
                    <div class="notif-status">
                      <md-switch ng-model="groupNotification.group.admin" aria-label="Administratable" ng-change="groupNotification.updateGroup()"></md-switch>
                    </div>

                    <md-divider></md-divider>
                  </md-list-item>

                  <md-list-item class="md-1-line">
                    <div class="notif-name">
                      {{GroupNotificationController.alert_stoppable}}
                      <div class="notif-details">
                        {{GroupNotificationController.explanation_about_alert_stoppable}}
                      </div>
                    </div>
                    <div class="notif-status">
                      <md-switch ng-model="groupNotification.group.alertstoppable" aria-label="Alert Stoppable" ng-change="groupNotification.updateGroup()"></md-switch>
                    </div>

                    <md-divider></md-divider>
                  </md-list-item>

                </md-list>
              </md-content>
            </md-tab>
          </md-tabs>
        </md-content>
      </div>
    </md-list-item>
  </md-list>

</div>
